<div class="login-body forgot-password">

    <div class="login-page">
        <form [formGroup]="form" (ngSubmit)="onSubmit()" novalidate>


            <div class="login-block">

                <h1 class="logo"><img class="img-responsive" src="/assets/images/logo.png"></h1>

                <h3>
                    Setup Password
                </h3>

                <div class="form-group">
                    <p class="note">
                        (*) Password must contain at least 8 characters, 1 lowercase character, 1 uppercase character, 1 number, 1 special character and can't contain spaces.
                    </p>
                </div>
                <div *ngIf="errorMessages.length > 0">
                    <div class="alert alert-danger" *ngFor="let message of errorMessages">
                        <a (click)="removeMessage(message)" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                        {{message}}
                    </div>
                </div>
                <div *ngIf="msgNotification" class="form-group clearfix">
                    <!-- message notification -->
                    <div class="alert alert-{{ msgNotification.status }}">
                        <a aria-label="close" class="close" href="#">×</a>
                        <span [innerHTML]="msgNotification.content"></span>
                    </div>
                </div>
                <div class="form-group">
                    <div class="input-group">
                        <span class="input-group-addon">
                            <img src="/assets/images/key.svg">
                        </span>
                        <input type="password" minlength="8" maxlength="32" class="form-control" formControlName="new_password" placeholder="Confirm Password...">
                    </div>
                </div>
                <div class="form-group has-feedback">
                    <div class="input-group">
                        <span class="input-group-addon">
                            <img src="/assets/images/key.svg">
                        </span>
                        <input type="password" minlength="8" maxlength="32" class="form-control" formControlName="repeat_new_password" placeholder="Confirm Password...">
                    </div>
                    <span *ngIf="checkPasswordConfirm()" class="glyphicon glyphicon-ok form-control-feedback greenCheck"
                          aria-hidden="true" style="line-height: 3 !important;"></span>
                </div>
                <div class="button-login clearfix">
                    <div class="row">
                        <div class="col-md-6">
                            <button type="button" (click)="redirectToLogin()" class="btn btn-login no-margin-left">
                                <i class="icon-close"></i>Cancel
                            </button>
                        </div>
                        <div class="col-md-6">
                            <button type="submit" class="btn btn-primary btn-login no-margin-left"><i
                                    class="icon-check"></i>Save
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>
